> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get network



## OpenAPI

````yaml /api-reference/services_documented/cloud_api.yaml get /cloud/v1/networks/{project_id}/{region_id}/{network_id}
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-15T06:37:28.230198+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
    x-displayName: Bare Metal
  - name: Container as a Service
    x-displayName: Container as a Service
  - name: Cost Reports
    x-displayName: Cost Reports
  - name: DDoS Protection
    x-displayName: DDoS Protection
  - name: Everywhere Inference
    x-displayName: Everywhere Inference
  - name: Everywhere Inference Apps
    x-displayName: Everywhere Inference Apps
  - name: File Shares
    x-displayName: File Shares
  - name: Floating IPs
    x-displayName: Floating IPs
  - name: Function as a Service
    x-displayName: Function as a Service
  - name: GPU Bare Metal
    x-displayName: GPU Bare Metal
  - name: GPU Virtual
    x-displayName: GPU Virtual
  - name: IP Ranges
    x-displayName: IP Ranges
  - name: Images
    x-displayName: Images
  - name: Instances
    x-displayName: Instances
  - name: Load Balancers
    x-displayName: Load Balancers
  - name: Logging
    x-displayName: Logging
  - name: Managed Kubernetes
    x-displayName: Managed Kubernetes
  - name: Managed PostgreSQL
    x-displayName: Managed PostgreSQL
  - name: Networks
    x-displayName: Networks
  - name: Placement Groups
    x-displayName: Placement Groups
  - name: Projects
    x-displayName: Projects
  - name: Quotas
    x-displayName: Quotas
  - name: Regions
    x-displayName: Regions
  - name: Registry
    x-displayName: Registry
  - name: Reservations
    x-displayName: Reservations
  - name: Reserved IPs
    x-displayName: Reserved IPs
  - name: Routers
    x-displayName: Routers
  - name: SSH Keys
    x-displayName: SSH Keys
  - name: Secrets
    x-displayName: Secrets
  - name: Security Groups
    x-displayName: Security Groups
  - name: Snapshot Schedules
    x-displayName: Snapshot Schedules
  - name: Snapshots
    x-displayName: Snapshots
  - name: Tasks
    x-displayName: Tasks
  - name: User Actions
    x-displayName: User Actions
  - name: User Role Assignments
    x-displayName: User Role Assignments
  - name: Volumes
    x-displayName: Volumes
paths:
  /cloud/v1/networks/{project_id}/{region_id}/{network_id}:
    get:
      tags:
        - Networks
      summary: Get network
      operationId: NetworkInstanceViewSet.get
      parameters:
        - in: path
          name: project_id
          required: true
          description: Project ID
          schema:
            description: Project ID
            example: 1
            examples:
              - 1
            title: Project Id
            type: integer
        - in: path
          name: region_id
          required: true
          description: Region ID
          schema:
            description: Region ID
            example: 1
            examples:
              - 1
            title: Region Id
            type: integer
        - in: path
          name: network_id
          required: true
          description: Network ID
          schema:
            description: Network ID
            example: b39792c3-3160-4356-912e-ba396c95cdcf
            examples:
              - b39792c3-3160-4356-912e-ba396c95cdcf
            format: uuid4
            title: Network Id
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NetworkSerializer'
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from gcore import Gcore

            client = Gcore(
                api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
            )
            network = client.cloud.networks.get(
                network_id="b39792c3-3160-4356-912e-ba396c95cdcf",
                project_id=1,
                region_id=1,
            )
            print(network.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/G-Core/gcore-go\"\n\t\"github.com/G-Core/gcore-go/cloud\"\n\t\"github.com/G-Core/gcore-go/option\"\n)\n\nfunc main() {\n\tclient := gcore.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tnetwork, err := client.Cloud.Networks.Get(\n\t\tcontext.TODO(),\n\t\t\"b39792c3-3160-4356-912e-ba396c95cdcf\",\n\t\tcloud.NetworkGetParams{\n\t\t\tProjectID: gcore.Int(1),\n\t\t\tRegionID:  gcore.Int(1),\n\t\t},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", network.ID)\n}\n"
components:
  schemas:
    NetworkSerializer:
      properties:
        created_at:
          description: Datetime when the network was created
          example: 2019-06-18T11:56:16+0000
          examples:
            - 2019-06-18T11:56:16+0000
          format: date-time
          title: Created At
          type: string
        creator_task_id:
          anyOf:
            - format: uuid4
              type: string
            - type: 'null'
          description: Task that created this entity
          examples:
            - fd50fdd1-0482-4c9b-b847-fc9924665af6
          title: Creator Task Id
        default:
          anyOf:
            - type: boolean
            - type: 'null'
          description: True if network has `is_default` attribute
          examples:
            - true
          title: Default
        external:
          description: True if the network `router:external` attribute
          example: true
          examples:
            - true
          title: External
          type: boolean
        id:
          description: Network ID
          example: eed97610-708d-43a5-a9a5-caebd2b7b4ee
          examples:
            - eed97610-708d-43a5-a9a5-caebd2b7b4ee
          format: uuid4
          title: Id
          type: string
        mtu:
          description: MTU (maximum transmission unit). Default value is 1450
          example: 1500
          examples:
            - 1500
          title: Mtu
          type: integer
        name:
          description: Network name
          example: public
          examples:
            - public
          title: Name
          type: string
        port_security_enabled:
          description: >-
            Indicates `port_security_enabled` status of all newly created in the
            network ports.
          example: true
          examples:
            - true
            - false
          title: Port Security Enabled
          type: boolean
        project_id:
          anyOf:
            - type: integer
            - type: 'null'
          description: Project ID
          examples:
            - 1337
          title: Project Id
        region:
          description: Region name
          example: Luxembourg 1
          examples:
            - Luxembourg 1
          title: Region
          type: string
        region_id:
          description: Region ID
          example: 7
          examples:
            - 7
          title: Region Id
          type: integer
        segmentation_id:
          anyOf:
            - type: integer
            - type: 'null'
          description: Id of network segment
          examples:
            - 9
          title: Segmentation Id
        shared:
          description: True when the network is shared with your project by external owner
          example: false
          examples:
            - false
          title: Shared
          type: boolean
        subnets:
          description: List of subnetworks
          example:
            - f00624ab-41bc-4d54-a723-1673ce32d997
            - 41e0f698-4d39-483b-b77a-18eb070e4c09
          examples:
            - - f00624ab-41bc-4d54-a723-1673ce32d997
              - 41e0f698-4d39-483b-b77a-18eb070e4c09
          items:
            format: uuid4
            type: string
          title: Subnets
          type: array
        tags:
          description: >-
            List of key-value tags associated with the resource. A tag is a
            key-value pair that can be associated with a resource, enabling
            efficient filtering and grouping for better organization and
            management. Some tags are read-only and cannot be modified by the
            user. Tags are also integrated with cost reports, allowing cost data
            to be filtered based on tag keys or values.
          example:
            - key: my-tag
              read_only: false
              value: my-tag-value
          examples:
            - - key: my-tag
                read_only: false
                value: my-tag-value
          items:
            $ref: '#/components/schemas/TagSerializer'
          title: Tags
          type: array
        task_id:
          anyOf:
            - format: uuid4
              type: string
            - type: 'null'
          description: >-
            The UUID of the active task that currently holds a lock on the
            resource. This lock prevents concurrent modifications to ensure
            consistency. If `null`, the resource is not locked.
          examples:
            - null
          title: Task Id
        type:
          description: Network type (vlan, vxlan)
          example: vlan
          examples:
            - vlan
          title: Type
          type: string
        updated_at:
          description: Datetime when the network was last updated
          example: 2019-06-18T11:57:00+0000
          examples:
            - 2019-06-18T11:57:00+0000
          format: date-time
          title: Updated At
          type: string
      required:
        - project_id
        - region_id
        - region
        - id
        - name
        - mtu
        - created_at
        - updated_at
        - type
        - segmentation_id
        - external
        - default
        - shared
        - subnets
        - creator_task_id
        - task_id
        - tags
        - port_security_enabled
      title: NetworkSerializer
      type: object
    TagSerializer:
      description: >-
        A tag is a key-value pair that can be associated with a resource,

        enabling efficient filtering and grouping for better organization and
        management.

        Some tags are read-only and cannot be modified by the user.

        Tags are also integrated with cost reports, allowing cost data to be
        filtered based on tag keys or values.
      properties:
        key:
          description: >-
            Tag key. Maximum 255 characters. Cannot contain spaces, tabs,
            newlines, empty string or '=' character.
          example: my-tag
          examples:
            - my-tag
          title: Key
          type: string
        read_only:
          description: If true, the tag is read-only and cannot be modified by the user
          example: false
          examples:
            - false
          title: Read Only
          type: boolean
        value:
          description: >-
            Tag value. Maximum 255 characters. Cannot contain spaces, tabs,
            newlines, empty string or '=' character.
          example: my-tag-value
          examples:
            - my-tag-value
          title: Value
          type: string
      required:
        - key
        - value
        - read_only
      title: TagSerializer
      type: object
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````